View Issue Details

IDProjectCategoryView StatusLast Update
0001967Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2019-08-12 22:29
ReporterReoseahAssigned ToChocohead 
PrioritylowSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0001967: Cables are opaque block when you place it
DescriptionCables are completely black and block all light when placed in world. They require something to cause light update to have normal look.

It seems that block tries to ask light level from tileentity before it is loaded, and so returns 255 on fail.
Additional InformationSuggestion: cables with triple insulation could block some light, like 5 or 6 points. It would look better :3
TagsNo tags attached.
Minecraft Version1.10.2

Relationships

related to 0001906 resolvedPlayer Cables having bad texture 

Activities

Reoseah

2016-08-12 07:07

reporter  

2016-08-12_04.21.10.png (28,618 bytes)
2016-08-12_04.21.10.png (28,618 bytes)

Aroma1997

2016-08-12 09:22

developer   ~0004697

What versions are you using?

Reoseah

2016-08-12 19:53

reporter   ~0004698

I've tested this with 2.6.35 at forge 1.10.2-12.18.1.2011, where cables do not block light, but are still black, some older versions on 1.9.4, and 2.5.58 at forge 12.17.0.1946 launched from eclipse. That screenshot is from last one.

Chocohead

2019-08-12 22:29

developer   ~0006122

Fixed in IC2 2.6.140

Issue History

Date Modified Username Field Change
2016-08-12 07:07 Reoseah New Issue
2016-08-12 07:07 Reoseah File Added: 2016-08-12_04.21.10.png
2016-08-12 09:22 Aroma1997 Note Added: 0004697
2016-08-12 19:53 Reoseah Note Added: 0004698
2016-08-14 13:46 Chocohead Relationship added related to 0001906
2019-08-12 22:29 Chocohead Assigned To => Chocohead
2019-08-12 22:29 Chocohead Status new => resolved
2019-08-12 22:29 Chocohead Resolution open => fixed
2019-08-12 22:29 Chocohead Fixed in Version => Builds for MC 1.10.x
2019-08-12 22:29 Chocohead Note Added: 0006122